%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
L = sqrt(sm_ax);
lprime = atan2(-uR(:,4), -vR(:,4));
Gprime_vec = Sprime_vec + Dprime_vec;
Rprime_vec = Sprime_vec - Dprime_vec;
Gprime = norma(Gprime_vec);
G3prime = Gprime_vec(:,3);
Eccprime_vec = Rprime_vec./[L L L];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
G_prj = sqrt(Gprime_vec(:,1).^2+Gprime_vec(:,2).^2);
sz = size(G_prj);
if all(G_prj)
    node = [-Gprime_vec(:,2)./G_prj  Gprime_vec(:,1)./G_prj  zeros(sz)];           
else
    if any(G_prj)
        node = zeros(sz(1),3);
        node(1,:) = [1  0  0];
        for jsz = 1 : sz(1)
            if G_prj(jsz) == 0
                if jsz == 1
                else
                    node(jsz,:) = node(jsz-1,:);
                end
            else
                node(jsz,:) = [-Gprime_vec(jsz,2)/G_prj(jsz)  Gprime_vec(jsz,1)/G_prj(jsz)  0 ];
            end
        end
    else
        node = [ones(sz)  zeros(sz)  zeros(sz)];
    end
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Omegaprime = atan2(node(:,2), node(:,1));
omegaprime = atan2(scalarp(vectorp(node, Eccprime_vec), Gprime_vec)./Gprime,...
        scalarp(node, Eccprime_vec));
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
UniModGG3(1,1) = str2num(get(handles.editGG3_uni_11,'String'));
UniModGG3(1,2) = str2num(get(handles.editGG3_uni_12,'String'));
UniModGG3(1,3) = str2num(get(handles.editGG3_uni_13,'String'));
UniModGG3(2,1) = str2num(get(handles.editGG3_uni_21,'String'));
UniModGG3(2,2) = str2num(get(handles.editGG3_uni_22,'String'));
UniModGG3(2,3) = str2num(get(handles.editGG3_uni_23,'String'));
UniModGG3(3,1) = str2num(get(handles.editGG3_uni_31,'String'));
UniModGG3(3,2) = str2num(get(handles.editGG3_uni_32,'String'));
UniModGG3(3,3) = str2num(get(handles.editGG3_uni_33,'String'));
if det(UniModGG3) ~= 1
    errordlg('The matrix must be unimodular, i.e., det = 1 with integer enties.','Error');
    return
end

OldAngl = [lprime omegaprime Omegaprime];
OldAct = [L Gprime G3prime];
Angl = OldAngl*UniModGG3';
Act = OldAct*inv(UniModGG3);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
