
Zeeman3 = str2num(get(handles.Zeeman3,'String'));
Stark1 = str2num(get(handles.Stark1,'String'));
Stark3 = str2num(get(handles.Stark3,'String'));
c = str2num(get(handles.G3,'String'));

alpha1 = -3/2*Stark1; alpha3 = -3/2*Stark3; beta = Zeeman3;

Ss = str2num(get(handles.S1,'String'));
Cs = str2num(get(handles.S3,'String'));
Sd = str2num(get(handles.D1,'String'));
Cd = str2num(get(handles.D3,'String'));

Cp = 1/2*(Cs + Cd); Cm = 1/2*(Cs - Cd); Sp = 1/2*(Ss + Sd); Sm = 1/2*(Ss - Sd);

P1 = (1/2*beta^2 - 1/6*alpha3^2)*Cp^2 ... 
    -5/6*alpha1^2*Sp^2 + (5/2*beta^2 - 10/3*alpha1^2 - 1/6*alpha3^2)*Cm^2 + ...
(-1/6*alpha1^2 - 10/3*alpha3^2)*Sm^2 - 5/3*alpha1*alpha3*Cp*Sp ... 
    + 43/9*alpha1*alpha3*Cm*Sm - 1/3*alpha1*beta*Cp*Sm ... 
    + 13/3*alpha1*beta*Cm*Sp - 4*alpha3*beta*Sp*Sm;

P2 = 1/2*beta^2 - 5/6*alpha1^2 - 5/6*alpha3^2;

P3 = (1/2*beta^2 - 1/6*alpha3^2)*Cm^2 -... 
    5/6*alpha1^2*Sm^2 + (5/2*beta^2 - 10/3*alpha1^2 - 1/6*alpha3^2)*...
      Cp^2 + (-1/6*alpha1^2 - 10/3*alpha3^2)*Sp^2 - 5/3*alpha1*alpha3*Cm*Sm +... 
    43/9*alpha1*alpha3*Cp*Sp - 1/3*alpha1*beta*Cm*Sp +...
    13/3*alpha1*beta*Cp*Sm - 4*alpha3*beta*Sp*Sm;

P4 = 5/2*beta^2 - 1/6*alpha1^2 - 1/6*alpha3^2;

P5 = (1/2*beta^2 - 1/6*alpha3^2)*Sm^2 -...
    5/6*alpha1^2*Cm^2 + (5/2*beta^2 - 10/3*alpha1^2 - 1/6*alpha3^2)*...
      Sp^2 + (-1/6*alpha1^2 - 10/3*alpha3^2)*Cp^2 + 5/3*alpha1*alpha3*Cm*Sm -...
    43/9*alpha1*alpha3*Cp*Sp + 1/3*alpha1*beta*Cp*Sm - ...
    13/3*alpha1*beta*Cm*Sp - 4*alpha3*beta*Cp*Sp;

P6 = (beta^2 - 1/3*alpha3^2)*Cp*Cm -... 
      5/3*alpha1^2*Sp*Sm + (5*beta^2 - 20/3*alpha1^2 - 1/3*alpha3^2)*Cp*Cm...
        + (-1/3*alpha1^2 - 20/3*alpha3^2)*Sp*Sm -... 
      5/3*alpha1*alpha3*(Cp*Sm + Cm*Sp) +... 
      43/9*alpha1*alpha3*(Cm*Sp + Cp*Sm) - 1/3*alpha1*beta*(Cp*Sp + Cm*Sm) -... 
      13/3*alpha1*beta*(Cp*Sp + Cm*Sm) - 4*alpha3*beta*(Sp^2 + Sm^2);
      
P7 = (beta^2 - 1/3*alpha3^2)*Sp*Sm -... 
      5/3*alpha1^2*Cp*Cm + (5*beta^2 - 20/3*alpha1^2 - 1/3*alpha3^2)*Sp*Sm...
        + (-1/3*alpha1^2 - 20/3*alpha3^2)*Cp*Cm +... 
      5/3*alpha1*alpha3*(Cp*Sm + Cm*Sp) -... 
      43/9*alpha1*alpha3*(Cm*Sp + Cp*Sm) + 1/3*alpha1*beta*(Cp*Sp + Cm*Sm) -... 
      13/3*alpha1*beta*(Cp*Sp + Cm*Sm) - 4*alpha3*beta*(Cp^2 + Cm^2);

a = 1/8*(P1 + P2 - P3 - P4);
b = -1/8*(P1 + P2 + P3 + P4 - 4*P5);
d = 1/2*(sqrt(alpha1^2 + (alpha3 + beta)^2) - ...      % In the book the variable d is named c
        sqrt(alpha1^2 + (alpha3 - beta)^2) + (-1/2*P6 + P7)*c);