cd ../
[time x1  y1  z1] = textread('Mercury.dat','%f %*f %*f %*f %*f %*f %*f %*f %f %f %f','headerlines',17);
[x2  y2  z2] = textread('Venus.dat','%*f %*f %*f %*f %*f %*f %*f %*f %f %f %f','headerlines',17);
distance = sqrt((x2 - x1).^2 + (y1 - y2).^2 + (z2 - z1).^2);
figure
plot(time, distance)
title('Distance', 'FontSize',14)
xlabel('time (yr)', 'FontSize',14)
ylabel('distance (AU)', 'FontSize',14) 